Title 'sakuma_ex9_3 ' ;
data d01 ;
    input  x	T	y	n ;
	like = 0 ;
	datalines ;
1	20	0	0
1	20	1	20
2	20	0	2
2	20	1	18
3	30	0	16
3	30	1	14
4	20	0	15
4	20	1	5
5	20	0	19
5	20	1	1
;
proc print data=d01 ;
run ;

proc probit data=d01 ;
    class  y ;
    weight n ;
    model y = x  / inversecl ;
	run ;

proc nlin  data=d01  method=newton sigsq=1;
    parms b0 -3  b1 1 ;
	_weight_ = n ;
        /* Linear portion of model ------*/
    eq1 = b0 + b1*x  ;
        /* probit */
    p = probnorm(eq1);
    if ( y = 1 ) then p = 1-p;
    model.like = sqrt(- 2 * log( p));
    output out=p p=predict;
    run;

proc print data=p ;
run ;

proc nlin  data=d01  method=newton sigsq=1;
    parms  b1 1  b2 3 ;
	_weight_ = n ;
        /* Linear portion of model ------*/
    eq1 = b1*(-b2 + x ) ;
        /* probit */
    p = probnorm(eq1);
    if ( y = 1 ) then p = 1-p;
    model.like = sqrt(- 2 * log( p));
    output out=p p=predict;
    run;